Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 913936 - dbus-python: FTBFS in rawhide
Summary: dbus-python: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus-python
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F19FTBFS
TreeView+ depends on / blocked
 
Reported: 2013-02-22 09:16 UTC by Dennis Gilmore
Modified: 2013-02-25 15:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-25 15:53:34 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Dennis Gilmore 2013-02-22 09:16:05 UTC
Your package dbus-python failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4959311

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/9311/4959311/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/9311/4959311/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/9311/4959311/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

Comment 1 Fedora Admin XMLRPC Client 2013-02-24 10:41:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Rex Dieter 2013-02-25 14:43:05 UTC
It's failing in %check, possibly due to some api changes elsewhere...

running test-client.py
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
======================================================================
ERROR: testAsyncCalls (__main__.TestDBusBindings)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/dbus-python-1.1.1/test/test-client.py", line 75, in setUp
    self.remote_object = self.bus.get_object(NAME, OBJECT)
  File "/builddir/build/BUILD/dbus-python-1.1.1/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/builddir/build/BUILD/dbus-python-1.1.1/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/builddir/build/BUILD/dbus-python-1.1.1/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/builddir/build/BUILD/dbus-python-1.1.1/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/builddir/build/BUILD/dbus-python-1.1.1/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /bin/bash exited with status 1
======================================================================
ERROR: testAsyncMethods (__main__.TestDBusBindings)
-----------------------------------------------------------

Comment 3 Rex Dieter 2013-02-25 15:53:34 UTC
just skipping the broken check/tests for now.


Note You need to log in before you can comment on or make changes to this bug.